;Przykładowy program POOL, możesz go używać,
;modyfikować i rozpowszechniać na licencji GPL.
;Autorzy: R&D Independent Team
;Źródło: www.pool-rnd.com

include "log.l
include "lissajous.l
include "motylkowa.l

;Konstruktory obiektów klas potomnych:
;      *** tu możesz wybrać rodzaj krzywej. ***
;Zauważ: parametr konstruktora to kolor krzywej, który
;można podać jako nazwę, indeks lub tablicę {R G B A}.
;"k := (newt $logspirala "black)
;"k := (newt $lissajous 50)
"k := (newt $motylkowa {80 0 30 40})

;funckcja obsługi zmiany wartości suwaka:
; - przerywa rysowanie krzywej (stop := true)
; - ustawia nową wartość parametru o nazwie odpowiadającej suwakowi
; - uruchamia odmalowanie krzywej
to zmiana :sender :new
  "stop := true
  (ustaw gettext :sender :new) @ :k
  rysuj @ :k
end

foreach "p :param @ :k [
  let "s (slider :p,1             ~
  array 10 10 + 60 * (repcount-1) ~
  bf :p,2 :p,2,1)
  setonchange :s $zmiana
]

;początkowy rysunek:
rysuj @ :k

