;Przykładowy program POOL, możesz go używać,
;modyfikować i rozpowszechniać na licencji GPL.
;Autorzy: R&D Independent Team
;Źródło: www.pool-rnd.com

;klasa bazowa: zapewnia implementację funkcjonalności
;wspólnej dla wszystkich klas potomnych
to krzywa :c
  ;opis parametrów krzywej w postaci tablic:
  ;  :param,"nazwa := {p0 min max krok}
  make "param plist

  ;nadaje nową wartość parametru
  to ustaw :nazwa :wartość
    let "p :param,:nazwa
    if :wartość < :p,2 ["wartość := :p,2]
    if :wartość > :p,3 ["wartość := :p,3]
    :param,:nazwa,1 := :wartość
  end

  ;ustawia zmienne wg słownika parametrów
  to konfiguracja
    foreach "p :param [make :p,1 :p,2,1]
    clean "stop := false
  end

  to fn ;prototyp funkcji krzywej:
  end   ; - implementacja w klasach pochodnych

  to rysuj
    konfiguracja fn
    if not :stop [refresh]
  end

  ;odmalowuje krzywą po zmianie parametrów wyświetlania
  to onworldchanged
    let "nx :pool_cfg,"scale_x
    let "ny :pool_cfg,"scale_y
    let "mx :pool_cfg,"center_x
    let "my :pool_cfg,"center_y
    if (or :sx <> :nx :sy <> :ny :cx <> :mx :cy <> :my) [
      (print :nx :ny :cx :cy)
      "sx := :nx "sy := :ny
      "cx := :mx "cy := :my
      rysuj     ; <--- wywołanie funkcji-prototypu
    ]
  end

  ;konstruktor krzywej zapamiętuje początkowe
  ;parametry: sklalę i pozycję środka ekranu
  let "sx :pool_cfg,"scale_x
  let "sy :pool_cfg,"scale_y
  let "cx :pool_cfg,"center_x
  let "cy :pool_cfg,"center_y

  setpc :c ;ustawienie koloru krzywej
end

;konfiguracja trybu rysowania i współdzielonych zmiennych
ht
window
:pool_cfg,"refresh := false

shared "stop
"stop := false

