;Przykładowy program POOL, możesz go używać,
;modyfikować i rozpowszechniać na licencji GPL.
;Autorzy: R&D Independent Team
;Źródło: www.pool-rnd.com

if not defined? "krzywa [include "krzywa.l]

;klasa potomna: spirala logarytmiczna
to logspirala :c
  use krzywa :c
  to fn
    pu setxy :a 0 pd
    let "t 0 let "s 0.1
    let "rx 0.5 * :sys_inf,"screen_width / :sx
    let "ry 0.5 * :sys_inf,"screen_height / :sy
    do.while [
      "t += :s
      let "f :a * exp :b * :t
      let "x :f * cos :t
      let "y :f * sin :t

      let "d distance array :x :y
      setxy :x :y

      if :d > 3 ["s := 0.5 * :s]
      if :d < 1 ["s := 2 * :s]
    ] (and abs :x < :rx abs :y < :ry not :stop)
  end

  :param,"A := {1 1 50 1}
  :param,"B := {0.003 0.0001 0.01 0.0001}
end

